/* Illustrates Pseudo-Random Number Generation
     in the Range of 0 to 1
     srand() and rand() are part of the
     general utilities defined in stdlib.h
     srand() with an integer argument sets the
     random number seed and rand() draws a
     pseudo-random number between 1 and RAND_MAX
 */
#include <stdlib.h>
#include <stdio.h>

int main(void){

	double temp;
	int i;
	srand(17);
        printf("RAND_MAX=%10d\n", RAND_MAX);            /* check operating system limit value */
	for(i=0;i<10;i++){
		temp = rand()/((double)RAND_MAX + 1); /* convert RAND_MAX into double*/
		printf("rand = %f\n",temp);
	}
        return(0);
}

